Subject: Re: bug#2031: 23.0.60; Edit menu missing in Gnus buffers.

From: Reiner Steib <[email-masked]>
Date: Sun, 25 Jan 2009 20:14:37 +0100

On Sun, Jan 25 2009, Kim F. Storm wrote:

> Reiner Steib <[email-masked]> writes:
>> There are so many top-level menus that they might not even fit on a
>> typical 80 column frame depending on the fonts.
>
> The real problem is too many Gnus menus then :-)

I'm not sure which ones are less useful than "Edit" or "Tools".  I
don't really like a redesign of menus so shortly before the start of
Emacs 23 pretest.

> But there is plenty of room in the Article menu.

When point is on a MIME part, you get:

File Options Buffers Tools Treatments Article Post Command MIME Part Help

>> Maybe it would be better to remove the Tools menu instead?
>
> I don't think that is acceptable - E.g. apply patch on the tools menu.

Hm.

> Maybe we could get rid of the Options menu (in general) by moving it to
> the bottom of the Edit menu where many other applications have their
> "Customize..."  or "Options..." entry.

I don't think this would be useful for Emacs in general.

>> So at least we would make it customizable (similar to
>> message-tool-bar-zap-list).
>
> Fine with me.

I'll be busy during the next week so I probably won't have time to
implement it.  Any volunteer?

> BTW, why is this reply sent to Chong and not Reiner.
> The headers in Reinar's response said:
>
>>Mail-Followup-To: Chong Yidong <[email-masked]>, [email-masked], [email-masked], [email-masked] (Kim F. Storm)
>>Reply-To: Reiner Steib <[email-masked]>
>
> Does the Mail-Followup-To header take precedense over the Reply-To
> header ... 

I'd guess so.  The Reply-To just says "Use [email-masked] instead of
[email-masked] for replies".

[ BTW, the mail that pass the bugtracker have a different Reply-To:

  To: Chong Yidong <[email-masked]>
  Cc: [email-masked], [email-masked],
  	"Kim F. Storm" <[email-masked]>
  Reply-To: Reiner Steib <[email-masked]>, [email-masked]
  Mail-Followup-To: Chong Yidong <[email-masked]>,
  	[email-masked], [email-masked],
  	[email-masked] (Kim F. Storm) 
]

> shouldn't Gnus use both when using wide reply (I added Reinar
> manually on this mail)?

No, I added this Mail-Followup-To since I don't need a copy because I
read the list (but I don't care much if I get one - it is split to my
news-cc group).

Bye, Reiner.
-- 
       ,,,
      (o o)
---ooO-(_)-Ooo---  |  PGP key available  |  http://rsteib.home.pages.de/